#include <avr/io.h>
#include <inttypes.h>
#define F_CPU 16000000UL  // 16 MHz
#include <util/delay.h>

void delay_ms(unsigned int ms);

int main(void)
{
  DDRA = 0xff;

  while (1) {
    PORTA = 0xff;
    delay_ms(500);
    PORTA = 0;
    delay_ms(500);
  }
}

void delay_ms(unsigned int ms)
/* delay for a minimum of <ms> */
{
	// we use a calibrated macro. This is more
	// accurate and not so much compiler dependent
	// as self made code.
	while(ms){
		_delay_ms(0.96);
		ms--;
	}
}
